package body MSHTML.IHTMLImgElement_Object is

   procedure Put_isMap
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_isMap,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_isMap;

   function Get_isMap
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_isMap);
   end Get_isMap;

   procedure Put_useMap
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_useMap,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_useMap;

   function Get_useMap
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_useMap);
   end Get_useMap;

   function Get_mimeType
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_mimeType);
   end Get_mimeType;

   function Get_fileSize
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_fileSize);
   end Get_fileSize;

   function Get_fileCreatedDate
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_fileCreatedDate);
   end Get_fileCreatedDate;

   function Get_fileModifiedDate
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_fileModifiedDate);
   end Get_fileModifiedDate;

   function Get_fileUpdatedDate
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_fileUpdatedDate);
   end Get_fileUpdatedDate;

   function Get_protocol
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_protocol);
   end Get_protocol;

   function Get_href
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_href);
   end Get_href;

   function Get_nameProp
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_nameProp);
   end Get_nameProp;

   procedure Put_border
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_border,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_border;

   function Get_border
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_border);
   end Get_border;

   procedure Put_vspace
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_vspace,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_vspace;

   function Get_vspace
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_vspace);
   end Get_vspace;

   procedure Put_hspace
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_hspace,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_hspace;

   function Get_hspace
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_hspace);
   end Get_hspace;

   procedure Put_alt
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_alt,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_alt;

   function Get_alt
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_alt);
   end Get_alt;

   procedure Put_src
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_src,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_src;

   function Get_src
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_src);
   end Get_src;

   procedure Put_lowsrc
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_lowsrc,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_lowsrc;

   function Get_lowsrc
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_lowsrc);
   end Get_lowsrc;

   procedure Put_vrml
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_vrml,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_vrml;

   function Get_vrml
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_vrml);
   end Get_vrml;

   procedure Put_dynsrc
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_dynsrc,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_dynsrc;

   function Get_dynsrc
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_dynsrc);
   end Get_dynsrc;

   function Get_readyState
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_readyState);
   end Get_readyState;

   function Get_complete
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_complete);
   end Get_complete;

   procedure Put_loop
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_loop,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_loop;

   function Get_loop
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_loop);
   end Get_loop;

   procedure Put_align
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_align,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_align;

   function Get_align
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_align);
   end Get_align;

   procedure Put_onload
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_onload,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onload;

   function Get_onload
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_onload);
   end Get_onload;

   procedure Put_onerror
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_onerror,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onerror;

   function Get_onerror
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_onerror);
   end Get_onerror;

   procedure Put_onabort
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_onabort,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_onabort;

   function Get_onabort
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_onabort);
   end Get_onabort;

   procedure Put_name
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_name,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_name;

   function Get_name
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_name);
   end Get_name;

   procedure Put_width
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_width,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_width;

   function Get_width
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_width);
   end Get_width;

   procedure Put_height
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_height,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_height;

   function Get_height
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_height);
   end Get_height;

   procedure Put_start
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True)
   is
   begin
      Put
        (This,
         IHTMLImgElement_Put_start,
         GNATCOM.Dispinterface.Parameter_Array'
         (1 => P1),
         Free);
   end Put_start;

   function Get_start
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT
   is
   begin
      return Get (This, IHTMLImgElement_Get_start);
   end Get_start;

end MSHTML.IHTMLImgElement_Object;

